/*****************************************
*                                        *
*    外枠システム  readkyos.c            *
*  （共済関係ファイル読み込み）          *
*                                        *
*                                        *
*****************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include "set.h"
#include "cntl.h"
#include "kyos.h"
#include "file_open.h"



/*  共済データの読み込み  */
void readkyos_1( int seido, int KYOREQB ) {

/*  変数定義  */
    int   ii ;
    int   jj ;

    /*  ファイル名セット＋開く  */
    switch ( seido ) {
        case 1:
            sprintf(filename, "/rev31/wakuc/data/kyos/kok31-%02d.csv", KYOREQB ) ;
            break ;
        case 2:
            sprintf(filename, "/rev31/wakuc/data/kyos/ren31-%02d.csv", KYOREQB ) ;
            break ;
        case 3:
            sprintf(filename, "/rev31/wakuc/data/kyos/sig31-%02d.csv", KYOREQB ) ;
            break ;
    }
    if ((fp_setakyo = fopen(filename, "r")) == NULL) {
        fprintf(stderr, "共済からのデータファイルを開けません!\n");
        exit (2);
    }

    /*  １行カラ読み  */
        karayomi( fp_setakyo );

    /*  ２号の読み取り  */
    for ( sei=1; sei<=2; sei++ ) {
      for ( nendo=2005; nendo<=2115; nendo++ ) {
        read_csv( buffer, fp_setakyo, &data_number );
        /*  チェック  */
        if ( buffer[0] != seido ) {
            fprintf(stderr, "共済%d２号データのseido番号と整合性が取れません\n" , seido );
            exit (2);
        }
        if ( buffer[1] != 2 ) {
            fprintf(stderr, "共済%d２号データの種別コードと整合性が取れません\n" , seido );
            exit (2);
        }
        ii = buffer[2] ; /*  性  */
        jj = buffer[3] ; /*  年度  */
        if ( jj>KIJUN ) { /* 通常はKIJUN+1年度以降のみを読む、KIJUNMAPではない */
            for ( nenrei=15; nenrei<=100; nenrei++ ) {
              kyosai[seido][jj-STARTY][ii][nenrei] = buffer[ nenrei-10 ] ;
            }
        }
      }
    }

    /*  ファイルクローズ  */
    fclose( fp_setakyo ) ;

    printf("共済%dのreadkyos_1終了\n", seido);

}



